package Sah::SchemaR::perl::modname_with_ver;

our $DATE = '2020-06-19'; # DATE
our $VERSION = '0.034'; # VERSION

our $rschema = ["str",[{examples=>[{valid=>0,value=>""},{valid=>0,validated_value=>"Foo::Bar",value=>"Foo-Bar"},{valid=>0,value=>"Foo::Bar"},{valid=>1,validated_value=>"Foo::Bar\@1.0.0",value=>"Foo-Bar\@1.0.0"},{valid=>1,value=>"Foo::Bar\@1.0.0"},{valid=>1,validated_value=>"Foo::Bar\@0.5_001",value=>"Foo-Bar\@0.5_001"},{valid=>1,value=>"Foo::Bar\@0.5_001"},{valid=>0,value=>"Foo::Bar\@a"}],match=>"\\A[A-Za-z_][A-Za-z_0-9]*(::[A-Za-z_0-9]+)*\@[0-9][0-9A-Za-z]*(\\.[0-9A-Za-z_]+)*\\z",summary=>"Perl module name with version number suffix, e.g. Foo::Bar\@0.001","x.completion"=>"perl_modname","x.perl.coerce_rules"=>["From_str::normalize_perl_modname"]}],["str"]];

1;
# ABSTRACT: Perl module name with version number suffix, e.g. Foo::Bar@0.001

__END__

=pod

=encoding UTF-8

=head1 NAME

Sah::SchemaR::perl::modname_with_ver - Perl module name with version number suffix, e.g. Foo::Bar@0.001

=head1 VERSION

This document describes version 0.034 of Sah::SchemaR::perl::modname_with_ver (from Perl distribution Sah-Schemas-Perl), released on 2020-06-19.

=head1 DESCRIPTION

This module is automatically generated by Dist::Zilla::Plugin::Sah::Schemas during distribution build.

A Sah::SchemaR::* module is useful if a client wants to quickly lookup the base type of a schema without having to do any extra resolving. With Sah::Schema::*, one might need to do several lookups if a schema is based on another schema, and so on. Compare for example L<Sah::Schema::poseven> vs L<Sah::SchemaR::poseven>, where in Sah::SchemaR::poseven one can immediately get that the base type is C<int>. Currently L<Perinci::Sub::Complete> uses Sah::SchemaR::* instead of Sah::Schema::* for reduced startup overhead when doing tab completion.

=head1 HOMEPAGE

Please visit the project's homepage at L<https://metacpan.org/release/Sah-Schemas-Perl>.

=head1 SOURCE

Source repository is at L<https://github.com/perlancar/perl-Sah-Schemas-Perl>.

=head1 BUGS

Please report any bugs or feature requests on the bugtracker website L<https://rt.cpan.org/Public/Dist/Display.html?Name=Sah-Schemas-Perl>

When submitting a bug or request, please include a test-file or a
patch to an existing test-file that illustrates the bug or desired
feature.

=head1 AUTHOR

perlancar <perlancar@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2020, 2019, 2018, 2017, 2016 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
